Bug 1290678 - Rebalance option to be disabled on the menu for non-distributed volumes
Rebalance option to be disabled on the menu for non-distributed volumes
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster (Show other bugs)
3.6.0
All Linux
medium Severity medium (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Sahina Bose
SATHEESARAN
: FutureFeature, ZStream
Depends On: 1261516
Blocks: 1260783
  Show dependency treegraph
 
Reported: 2015-12-11 01:27 EST by Ramesh N
Modified: 2016-02-18 06:20 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1261516
Environment:
Last Closed: 2016-02-18 06:20:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: ovirt‑3.6.z?
rule-engine: planning_ack?
sabose: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48088 None None None Never
oVirt gerrit 50305 ovirt-engine-3.6 MERGED gluster: disbale rebalance for non distribute volumes 2015-12-24 08:29 EST
oVirt gerrit 51098 ovirt-engine-3.6.2 MERGED gluster: disbale rebalance for non distribute volumes 2015-12-30 05:27 EST

  None (edit)
Comment 1 SATHEESARAN 2016-01-20 22:26:38 EST
Tested with RHEVM 3.6.2.5-0.1.el6 and with RHGS 3.1.2 RC

1. Created a distributed volume and rebalance option is enabled
2. Created a pure replicate ( replica 2 or replica 3 ) volume and rebalance options is disabled
3. Created a disperse volume from the gluster CLI and waited for it to sync in RHEVM UI, and rebalance option is disabled here too
4. Expanded the disperse volume to a distributed disperse volume and rebalance option now got enabled
5. Created a distributed replicate volume, and rebalance option is disabled here

Based on the above results, moving this bug to VERIFIED



Note :
RHGS 3.1.2 has vdsm 4.16.z and it can't be added to RHEVM 3.6
So I have used the custom build vdsm & vdsm gluster of build 4.17.16

Note You need to log in before you can comment on or make changes to this bug.